org.eclipse.microprofile.rest.client.tck.cditests

## Class HasSessionScopeTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.cditests.HasSessionScopeTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class HasSessionScopeTest
    extends org.jboss.arquillian.testng.Arquillian

This test verifies that you can configure a bean of SessionScoped, as well as have the scope on an interface.

### Nested Class Summary

Nested Classes
`static interface` `HasSessionScopeTest.MySessionScopedApi`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`HasSessionScopeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testHasSessionScopedFromConfigKey()`
`void` `testHasSessionScopedWhenAnnotated()`
`void` `testHasSingletonScoped()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HasSessionScopeTest

    public HasSessionScopeTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testHasSingletonScoped

    public void testHasSingletonScoped()

#### testHasSessionScopedFromConfigKey

    public void testHasSessionScopedFromConfigKey()

#### testHasSessionScopedWhenAnnotated

    public void testHasSessionScopedWhenAnnotated()